Subject: Re: bug#23734: 25.1.50; ibuffer: Search a buffer by content

From: Tino Calancha <[email-masked]>
Date: Fri, 10 Jun 2016 18:17:54 +0900

> multi-occur can do this kind of thing.
> C-u M-x multi-occur-in-matching-buffers RET . RET foo (bar) RET

 You are right!
  Having several ways to solve a problem, letting you to choose the one you
 like more is generally a good thing.

*) multi-occur-in-matching-buffers is certainly a more general solution
(don't require
    the user being familiar with Ibuffer).
*) The ibuffer approach it could be more suitable for people using ibuffer
or dired.

On Fri, Jun 10, 2016 at 6:16 PM, Tino Calancha <[email-masked]> wrote:

> > multi-occur can do this kind of thing.
> > C-u M-x multi-occur-in-matching-buffers RET . RET foo (bar) RET
>
>  You are right!
>   Having several ways to solve a problem, letting you to choose the one you
>  like more is generally a good thing.
>
> *) multi-occur-in-matching-buffers is certainly a more general solution
> (don't require
>     the user being familiar with Ibuffer).
> *) The ibuffer approach it could be more suitable for people using ibuffer
> or dired.
>
>
> On Fri, Jun 10, 2016 at 2:24 AM, Glenn Morris <[email-masked]> wrote:
>
>> Tino Calancha wrote:
>>
>> > It's commun one Emacs session having dozens of buffers on memory. On
>> > such situation, it is hard to remember the name of one particular
>> > buffer.
>> >
>> > It may be useful having easy way to search buffers by content.
>>
>> multi-occur can do this kind of thing.
>>
>> > For example, one user is developping a funtion foo
>> > in the buffer BUF, with name BUF-NAME:
>> >
>> > foo-type foo (bar)
>> >
>> > The user may not remember BUF-NAME, but s/he could be able
>> > to write a regexp matching just the content of BUF.
>> > For instance, something like
>> > "foo (bar)"
>> > likely would match just BUF content (or a few buffers more).
>>
>>
>> C-u M-x multi-occur-in-matching-buffers RET . RET foo (bar) RET
>>
>
>